Переполнение буфера в Wireshark

Дата публикации:
10.02.2009
Дата изменения:
24.03.2009
Всего просмотров:
1918
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0599
CVE-2009-0600
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Wireshark 0.x
Wireshark 1.x
Уязвимые версии: Wireshark версии 0.99.7 по 1.0.5.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке NetScreen Snoop файлов. Удаленный пользователь может с помощью специально сформированного NetScreen Snoop файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.wireshark.org

Решение: Установите последнюю версию 1.0.6 с сайта производителя.

Ссылки: http://www.wireshark.org/security/wnpa-sec-2009-01.html

или введите имя

CAPTCHA